
var config = {};
config.isDesktop    = false;    // draw для ПК
config.isDevice     = true;   // draw для устройства
config.isTomcat     = false;   // draw для устройства, но запущена на ПК через Tomcat

config.version      = 20;      // версия draw K3W
config.controlSvg   = true;    // вкл/выкл проверка svg файла
config.autosave     = false;    // вкл/выкл автосейвы svg файла
config.backup       = false;    // вкл/выкл бекапы svg файла
config.beforeUnload = true;    // вкл/выкл диалог при закрытии вкладки или окна браузера
config.consol       = true;    // вкл/выкл вывод информации в statusBar
config.menuFile2    = true;    // новое меню с шаблонами [device версия]
config.device       = window.vars ? (vars.device.search('BINOM')!=-1) ? 'binom' : 'tm3com' : '';    // тип устройста [device версия]  
config.ListInChans  = ['TS', 'NetworkParams1', 'M104MN8_TIT'];  // список узлов


config.logSize                = 20;            // максимальное количество записей в журнале логирования 
config.autosaveInterval       = 600000;        // интервал автосохранения  600000 = 10 мин
config.patternName            = 'pattern';     // имя svg файла, шаблона для новой схемы, находится тут \vDraw\patterns
config.saveName               = 'scheme';      // имя сохранения svg файла по-умолчанию
config.saveName_auto          = 'autosave';    // имя сохранения svg файла при автосейве
config.saveName_binom         = 'binom-pris';  // имя сохранения svg файла [device версия]
config.background1            = '#000000';     // цвет фона схемы [pc версия]
config.background2            = '#eeeeee';     // цвет фона схемы [device версия]
config.colorArea1             = 'white';       // цвет выделяемой области 1 (выделение элементов схемы)
config.colorArea2             = 'pink';        // цвет выделяемой области 2 (масштаб схемы)
config.colorFrame             = 'white';       // цвет обводки элементов схемы
config.colorSelRect           = 'yellow';      // цвет обводки элементов схемы selRect
config.colorSelRectActive     = 'green';       // цвет обводки элементов схемы selRect активный
config.colorControl           = 'yellow';      // цвет rect'ов управления
config.colorControlActive     = 'pink';        // цвет rect'ов управления активный
config.colorControlStart      = 'white';       // цвет rect'ов управления стартовый
config.colorGraphFrame        = 'yellow';	   // цвет обводки узла графа
config.colorGraphFrameActive  = 'white';	   // цвет обводки узла графа активного
config.colorGraphFrameSlave   = 'pink'; 	   // цвет обводки узла графа второстепенного
config.colorGraphFrameChild   = '#0BFFF5';     // цвет обводки узла графа дочернего
config.colorRadar             = 'rgba(255,255,255,0.4)';  // цвет радара





var str = {};
str.query_xml_config    = (config.isDesktop || config.isTomcat) ? 'ToolServ?tool=getXML&fileName=/xml/config.xml' : '/~cfg_ask_xml?type=cfg';
str.query_xml_corresp   = (config.isDesktop || config.isTomcat) ? 'ToolServ?tool=getXML&fileName=/xml/corresp.xml' : '/~svg?src=corresp.xml';
str.query_xml_infomodel = (config.isDesktop || config.isTomcat) ? 'ToolServ?tool=getXML&fileName=/xml/InfoModel.xml' : '/~svg?src=InfoModel.xml';
str.query_xml_sys       = (config.isDesktop || config.isTomcat) ? 'SaveLoad?typeReq=8&kitName=Collection1' : '/vDraw/patterns/symbol/collection1/sys.xml';


//каталог типов элементов схемы
var svgTypeList = {
	line:'',
	kLine:'',
	aLine:'',
	rect:'',
	substation:'',
	text:'',
	bus:'',
	button:'',
	barGraph:'',
	element:'',
	image:'',
	rasterImage:'',
	TS:'',
	TIT:'',
	DTIT:'',
	groupElement:''
}
//каталог типов инфомодели
var infoTypeList={
	Breaker:'',
	LoadBreakSwitch:'',
	Disconnector:'',
	GroundDisconnector:'',
	CompositeSwitch:'',
	BusbarSection:'',
	TransformerWinding:'',
	CurrentTransformer:'',
	PowerTransformer:'',
	PotencialTransformer:''
}
